Subject: [ietf-dkim] quick test

From: "J.D. Falk" <[email-masked]>, "Also J.D. Falk" <[email-masked]>
Date: Fri, 18 Jan 2008 20:08:40 -0800

I wonder where along the mail path this'll fail....

-- 
J.D. Falk                       '"I'm blissful! You blissful?! I'm blissful!"
<[email-masked]>           he screamed repeatedly to the other yogis.'
                                       -- The Onion, http://redirx.com/?0qew
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: "J D Falk" <[email-masked]>
Date: Fri, 18 Jan 2008 23:19:12 -0500

Interesting!  Looks like the second address in the From: header got
stripped somewhere.

I'll do the rest of my tests off-list.

---

From: John Levine <[email-masked]>
Date: 19 Jan 2008 05:11:15 -0000

>stripped somewhere.

Must have been stripped pretty close to your MUA.  Here's what your
message looked like when it arrived here.  I gateway the DKIM list
into netnews, and even so, the two From addresses showed up just fine.

R's,
John

From: "J.D. Falk" <[email-masked]>, "Also J.D. Falk" <[email-masked]>
Newsgroups: iecc.lists.ietf.dkim
Subject: [ietf-dkim] quick test
Date: Sat, 19 Jan 2008 04:18:01 +0000 (UTC)
Organization: cyberNOTHING
Lines: 10
Approved: mail-to-news
NNTP-Posting-Host: nnews.iecc.com
NNTP-Posting-Date: Sat, 19 Jan 2008 04:18:01 +0000 (UTC)
To: [email-masked]
Xref: nnews.iecc.com iecc.lists.ietf.dkim:8503

---

From: "Frank Ellermann" <[email-masked]>
Date: Sat, 19 Jan 2008 08:00:27 +0100

> I wonder where along the mail path this'll fail....

To get a second opinion about a message on ONE list
available on GMane if you know its Message-ID compare
news://news.gmane.org/[email-masked]

Or if you have no client for NNTP access go to...
http://mid.gmane.org/[email-masked]
...and add "/raw" at the end of the resulting URL:
http://article.gmane.org/gmane.ietf.dkim/9075/raw

As reported by John, both From-addresses made it.
If you had an explicit Sender it's lost in space.

 Frank

---

From: Tony Hansen <[email-masked]>
Date: Sat, 19 Jan 2008 14:08:15 -0500

It also arrived at my MTA just fine with two From: addresses.

	Tony Hansen
	[email-masked]

---

From: Eliot Lear <[email-masked]>
Date: Sun, 20 Jan 2008 12:27:56 +0100

It got stomped on by the mailing list:

> Sender: [email-masked]

Eliot

---

From: "Frank Ellermann" <[email-masked]>
Date: Sun, 20 Jan 2008 17:08:55 +0100

>> Sender: [email-masked]

ACK, I missed the Original-Sender in GMane's version.

No idea why GMane invalidates it, maybe because it's
obviously set by the list.  So far for the "MUST" in
RFC 2821 3.10 and the RFC 2822 idea of "Sender"... :-(

The IETF outsmarted by an "experimental" RFC 4407
that I don't even like, sometimes it's unbelievable.

 Frank